Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class RemovePropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.RemovePropertyTag

public class RemovePropertyTag
extends PropertyTag

Corresponds to `<um:removeProperty>`.

The `<um:removeProperty>` tag removes the specified property from the current session's profile or from the Anonymous User Profile. The tag has no enclosed body. Subsequent calls to `<um:getProperty>` for a removed property would result in the default value for the property as prescribed by the property set, or from the profile's successor.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set from which the property's value is to be retrieved. Example: "Demo Portal". Note: The property is removed from the profile's default (unscoped) properties if no property set is provided.
propertyName | yes | String | The name of the property to be removed. Example: "backgroud_color".

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`RemovePropertyTag()`

Method Summary
`int` | `doStartTag()` Remove the specified property from the current profile.

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
`getPropertyName, getPropertySet, release, setPropertyName, setPropertySet`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemovePropertyTag

    public RemovePropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Remove the specified property from the current profile.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved